Index: src/FinkiChattery/FinkiChattery.sln
===================================================================
--- src/FinkiChattery/FinkiChattery.sln	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.sln	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -4,5 +4,5 @@
 VisualStudioVersion = 16.0.31205.134
 MinimumVisualStudioVersion = 10.0.40219.1
-Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "FinkiChattery.Api", "FinkiChattery.Api\FinkiChattery.Api.csproj", "{8CD7796E-5DC1-413D-8D04-3C95E89BB214}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "FinkiChattery.Api", "FinkiChattery.Api\FinkiChattery.Api.csproj", "{8CD7796E-5DC1-413D-8D04-3C95E89BB214}"
 EndProject
 Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "FinkiChattery.Identity", "FinkiChattery.Identity\FinkiChattery.Identity.csproj", "{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}"
@@ -10,9 +10,11 @@
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Core", "Core", "{8F55A0C8-EE31-4075-AF76-555418672650}"
 EndProject
-Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "FinkiChattery.Persistence", "FinkiChattery.Persistence\FinkiChattery.Persistence.csproj", "{1BA385FA-32FC-4237-85D2-705EEBCAFD06}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "FinkiChattery.Persistence", "FinkiChattery.Persistence\FinkiChattery.Persistence.csproj", "{1BA385FA-32FC-4237-85D2-705EEBCAFD06}"
 EndProject
-Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "FinkiChattery.Contracts", "FinkiChattery.Contracts\FinkiChattery.Contracts.csproj", "{4D2F08BF-44F0-427D-B5B8-079233500FA8}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "FinkiChattery.Contracts", "FinkiChattery.Contracts\FinkiChattery.Contracts.csproj", "{4D2F08BF-44F0-427D-B5B8-079233500FA8}"
 EndProject
-Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "FinkiChattery.Common", "FinkiChattery.Common\FinkiChattery.Common.csproj", "{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "FinkiChattery.Common", "FinkiChattery.Common\FinkiChattery.Common.csproj", "{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "FinkiChattery.Domain", "FinkiChattery.Domain\FinkiChattery.Domain.csproj", "{123D41C6-900B-4DE3-8778-A2C8ECDFBCBD}"
 EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Database", "Database", "{499B8F8D-4546-45B5-846A-44BF4CDA6F6E}"
@@ -22,48 +24,34 @@
 Project("{00D1A9C2-B5F0-4AF3-8072-F6C62B433612}") = "FinkiChattery.HangfireDatabase", "FinkiChattery.HangfireDatabase\FinkiChattery.HangfireDatabase.sqlproj", "{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}"
 EndProject
-Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "FinkiChattery.Commands", "FinkiChattery.Commands\FinkiChattery.Commands.csproj", "{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}"
-EndProject
-Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "FinkiChattery.Queries", "FinkiChattery.Queries\FinkiChattery.Queries.csproj", "{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}"
-EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug_Docker|Any CPU = Debug_Docker|Any CPU
 		Debug|Any CPU = Debug|Any CPU
 		Release|Any CPU = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{8CD7796E-5DC1-413D-8D04-3C95E89BB214}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{8CD7796E-5DC1-413D-8D04-3C95E89BB214}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
 		{8CD7796E-5DC1-413D-8D04-3C95E89BB214}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{8CD7796E-5DC1-413D-8D04-3C95E89BB214}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{8CD7796E-5DC1-413D-8D04-3C95E89BB214}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{8CD7796E-5DC1-413D-8D04-3C95E89BB214}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
 		{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}.Release|Any CPU.Build.0 = Release|Any CPU
-		{1BA385FA-32FC-4237-85D2-705EEBCAFD06}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{1BA385FA-32FC-4237-85D2-705EEBCAFD06}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
 		{1BA385FA-32FC-4237-85D2-705EEBCAFD06}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1BA385FA-32FC-4237-85D2-705EEBCAFD06}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{1BA385FA-32FC-4237-85D2-705EEBCAFD06}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{1BA385FA-32FC-4237-85D2-705EEBCAFD06}.Release|Any CPU.Build.0 = Release|Any CPU
-		{4D2F08BF-44F0-427D-B5B8-079233500FA8}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{4D2F08BF-44F0-427D-B5B8-079233500FA8}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
 		{4D2F08BF-44F0-427D-B5B8-079233500FA8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4D2F08BF-44F0-427D-B5B8-079233500FA8}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{4D2F08BF-44F0-427D-B5B8-079233500FA8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{4D2F08BF-44F0-427D-B5B8-079233500FA8}.Release|Any CPU.Build.0 = Release|Any CPU
-		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
 		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}.Release|Any CPU.Build.0 = Release|Any CPU
-		{5E1219F5-FC7D-4138-811D-26934E946D30}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{5E1219F5-FC7D-4138-811D-26934E946D30}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
-		{5E1219F5-FC7D-4138-811D-26934E946D30}.Debug_Docker|Any CPU.Deploy.0 = Debug_Docker|Any CPU
+		{123D41C6-900B-4DE3-8778-A2C8ECDFBCBD}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{123D41C6-900B-4DE3-8778-A2C8ECDFBCBD}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{123D41C6-900B-4DE3-8778-A2C8ECDFBCBD}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{123D41C6-900B-4DE3-8778-A2C8ECDFBCBD}.Release|Any CPU.Build.0 = Release|Any CPU
 		{5E1219F5-FC7D-4138-811D-26934E946D30}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{5E1219F5-FC7D-4138-811D-26934E946D30}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -72,7 +60,4 @@
 		{5E1219F5-FC7D-4138-811D-26934E946D30}.Release|Any CPU.Build.0 = Release|Any CPU
 		{5E1219F5-FC7D-4138-811D-26934E946D30}.Release|Any CPU.Deploy.0 = Release|Any CPU
-		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
-		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Debug_Docker|Any CPU.Deploy.0 = Debug_Docker|Any CPU
 		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -81,16 +66,4 @@
 		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Release|Any CPU.Build.0 = Release|Any CPU
 		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Release|Any CPU.Deploy.0 = Release|Any CPU
-		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
-		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
-		{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}.Release|Any CPU.Build.0 = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -101,8 +74,7 @@
 		{4D2F08BF-44F0-427D-B5B8-079233500FA8} = {8F55A0C8-EE31-4075-AF76-555418672650}
 		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9} = {8F55A0C8-EE31-4075-AF76-555418672650}
+		{123D41C6-900B-4DE3-8778-A2C8ECDFBCBD} = {8F55A0C8-EE31-4075-AF76-555418672650}
 		{5E1219F5-FC7D-4138-811D-26934E946D30} = {499B8F8D-4546-45B5-846A-44BF4CDA6F6E}
 		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532} = {499B8F8D-4546-45B5-846A-44BF4CDA6F6E}
-		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0} = {8F55A0C8-EE31-4075-AF76-555418672650}
-		{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25} = {8F55A0C8-EE31-4075-AF76-555418672650}
 	EndGlobalSection
 	GlobalSection(ExtensibilityGlobals) = postSolution
